import React from 'react';
import { StatusBarStyle, TextStyle } from 'react-native';
export declare type NavbarProps = {
    title: string;
    titleSize?: number;
    titleBold?: boolean;
    titleColor?: string;
    height?: number;
    showBack?: boolean;
    backIconSize?: number;
    backIconColor?: string;
    backIconName?: string;
    backText?: string;
    backTextStyle?: TextStyle;
    backgroundColor?: string;
    barStyle?: StatusBarStyle;
    showBorderBottom?: boolean;
    renderLeft?: () => React.ReactNode;
    renderRight?: () => React.ReactNode;
    onBack?: () => void;
};
declare const Navbar: React.FC<NavbarProps>;
export default Navbar;
